# Chrysoblog

A blog framework

## Building

To create the production version,

```bash
npm run build
```

You can preview the production build with `npm run preview`.

### Content

To insert custom content, create a directory with a similar structure to
`src/content`, and set the environment variable `CHRYSOBLOG_CONTENT` to that
directory. The website will be built statically in `build/`. Note that changing
`favicon.svg` will require modifying the `static/` folder.

## Developing

Install dependencies with `npm install` (or `pnpm install` or `yarn`). Then start the dev server with

```bash
npm run dev [-- --open]
```

